<template>
<div class="view"
     id="game">

  <math-game @game-over="onGameOver($event)"
             v-if="isPlaying && game === 'math'"/>

  <div class="video"
       v-else-if="isLooping && loop === 1">
    <video autoplay
           loop
           muted
           playsinline>
      <source src="../assets/art/01-loop-forest.mp4"
              type="video/mp4">
    </video>
  </div>

  <div class="msg"
       v-else>
    {{ this.message }}
    <button @click="onPlayAgain">Play Again</button>
  </div>
</div>
</template>

<script>
import Loop from '../components/Loop';
import MathGame from '../components/MathGame';

export default {
  name: 'Game',

  components: {
    'loop': Loop,
    'math-game': MathGame
  },

  data () {
    return {
      isPlaying: false,
      isLooping: true,
      loop: 1,
      game: '',
      message: ''
    };
  },

  methods: {
    onGameOver (win) {
      this.message = (win)
        ? 'You won.'
        : 'You lost.';
      this.isPlaying = false;
    },
    onPlayAgain () {
      this.isPlaying = true;
      this.game = 'math';
    }
  }
};
</script>

<style lang="scss" scoped>
</style>
